<script setup>
import { ref, onMounted } from 'vue'
import { Carousel, Slide } from 'vue3-carousel'
import 'vue3-carousel/dist/carousel.css'
import api from '@/api/api'

const items = ref([])
const loading = ref(true)
onMounted(() => {
    try {
        api.get(`posts`).then(res => {
            items.value = res?.data?.data
            loading.value = false
        })
    } catch {
        loading.value = false
    }
})
</script>

<template>
    <div class="BlogBottomSection">
        <h2>آخرین مقالات</h2>
        <v-container>
            <v-row v-if="loading">
                <BlogSkeletor />
            </v-row>
            <v-row v-else>
                <v-col cols="md-4" sm="6" v-for="(item, i) in items" :key="i">
                    <BlogCard :marginClass="' '" :item="item" :cardWidth="'100%'"></BlogCard>
                </v-col>
            </v-row>
        </v-container>
    </div>
</template>

<style lang="scss" >
.BlogBottomSection {
    padding-top: 50px;

    h2 {
        line-height: 37px;
        text-align: center;
        color: #3B5099;
        font-weight: 700;
    }

    .v-card-text {
        max-width: 100%;
        -webkit-line-clamp: 3;
        -webkit-box-orient: vertical;
        overflow: hidden;
        display: -webkit-box;
        direction: rtl;
    }

    .v-card-actions {
        background-color: #f8fafd;
        position: relative;

        &::before {
            content: "";
            display: block;
            width: 80%;
            position: absolute;
            top: 0;
            left: 50%;
            margin-left: -40%;
            height: 1px;
            background: radial-gradient(ellipse at center, #d1dbe7 0, rgba(255, 255, 255, 0) 75%);
        }
    }

    @media only screen and (max-width: 360px) {
        & {
            padding: 35px 0;
        }
    }
}
</style>